ContextNotEmptyException (Java SE 25 & JDK 25)
Description: declaration: module: java.naming, package: javax.naming, class: ContextNotEmptyException
Keywords: javax.naming.ContextNotEmptyException class

# Class ContextNotEmptyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.ContextNotEmptyException

All Implemented Interfaces:
  `Serializable`

public class ContextNotEmptyException extends NamingException
This exception is thrown when attempting to destroy a context that is not empty.

If the program wants to handle this exception in particular, it should catch ContextNotEmptyException explicitly before attempting to catch NamingException. For example, after catching ContextNotEmptyException, the program might try to remove the contents of the context before reattempting the destroy.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  - `Context.destroySubcontext(Name)`
  - Serialized Form

- ## Field Summary

  ### Fields declared in class NamingException

  `remainingName, resolvedName, resolvedObj, rootException`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextNotEmptyException()`
  Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.
  `ContextNotEmptyException(String explanation)`
  Constructs a new instance of ContextNotEmptyException using an explanation.

- ## Method Summary

  ### Methods declared in class NamingException

  `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContextNotEmptyException

    public ContextNotEmptyException(String explanation)
    Constructs a new instance of ContextNotEmptyException using an explanation. All other fields default to null.
    Parameters:
      `explanation` - Possibly null string containing additional detail about this exception.
    See Also:
      - `Throwable.getMessage()`

  - ### ContextNotEmptyException

    public ContextNotEmptyException()
    Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.